addHook("HUD",function(v, p)
	local x = 5
	local y = 90
	local flags = V_SNAPTOLEFT
	local strtype = "thin"
	
	if not (p.mo and p.mo.valid) then return end
	
	y = $ - 10
	v.drawString(x,y, "\x84MF_NOSQUISH\x80 : "..(p.mo.flags & MF_NOSQUISH), flags, strtype)
	y = $ + 10
	
	if (p.boatvars == nil)
		v.drawString(x,y, "No p.boatvars", V_GRAYMAP|flags, strtype)
		return
	end
	
	v.drawString(x,y, "p.boatvars = {", V_YELLOWMAP|flags, strtype)
	x = $ + 10
	y = $ + 10
	
	for key, value in pairs(p.boatvars)
		if type(value) == "boolean"
			value = "\x84" .. tostring($)
		elseif tostring(key) == "speedmul"
			value = string.format("%f", tonumber(value))
		end
		
		v.drawString(x,y,
			tostring(key) .." = ".. tostring(value),
		flags, strtype)
		y = $ + 10
	end
	x = $ - 10
	v.drawString(x,y, "}", V_YELLOWMAP|flags, strtype)
end,"game")

/*
#define DMG_NORMAL  0x00
#define DMG_WIPEOUT 0x01 // Normal, but with extra flashy effects
#define DMG_EXPLODE 0x02
#define DMG_TUMBLE  0x03
#define DMG_STING   0x04
#define DMG_KARMA   0x05 // Karma Bomb explosion -- works like DMG_EXPLODE, but steals half of their bumpers & deletes the rest
#define DMG_VOLTAGE 0x06
#define DMG_STUMBLE 0x07 // Does not award points in Battle
#define DMG_WHUMBLE 0x08 // <-- But this one DOES!
//// Death types - cannot be combined with damage types
#define DMG_INSTAKILL  0x80
#define DMG_DEATHPIT   0x81
#define DMG_CRUSHED    0x82
#define DMG_SPECTATOR  0x83
#define DMG_TIMEOVER   0x84
// Masks
#define DMG_WOMBO		 0x10 // Flag - setting this flag allows objects to damage you if you're already in spinout. The effect is reversed on objects with MF_MISSILE (setting it prevents them from comboing in spinout)
#define DMG_STEAL        0x20 // Flag - can steal bumpers, will only deal damage to players, and will not deal damage outside Battle Mode.
#define DMG_CANTHURTSELF 0x40 // Flag - cannot hurt your self or your team
#define DMG_DEATHMASK    DMG_INSTAKILL // if bit 7 is set, this is a death type instead of a damage type
#define DMG_TYPEMASK     0x0F // Get type without any flags
*/
COM_AddCommand("damageme",function(p, enum)
	local me = p.mo
	if not (me and me.valid) then return end
	if enum == nil then return end
	
	local todo = string.upper(enum)
	local realnum = _G["DMG_"..todo] or nil
	if realnum ~= nil
		P_DamageMobj(me, nil,nil,1, realnum)
	else
		CONS_Printf(p,"Flag invalid ("..todo..")")
	end
end,COM_ADMIN)